## EntangleScript

EntangleScript

## Functions

const gchar * | entangle_script_get_title ()
GtkWidget * | entangle_script_get_config_widget ()
void | entangle_script_execute_async ()
gboolean | entangle_script_execute_finish ()

## Properties

char * | title | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_SCRIPT
struct | EntangleScriptClass
| EntangleScript

## Object Hierarchy

        GObject
        ╰── EntangleScript
            ╰── EntangleScriptSimple

## Description

## Functions

### entangle_script_get_title ()

    const gchar *
    entangle_script_get_title (EntangleScript *script);

Get the title of the script

#### Parameters

script | the script object. | [transfer none]

#### Returns

the title of the script.

[transfer none]

### entangle_script_get_config_widget ()

    GtkWidget *
    entangle_script_get_config_widget (EntangleScript *script);

Get the configuration controls for the script

#### Parameters

script | the script object. | [transfer none]

#### Returns

the config widget.

[transfer full]

### entangle_script_execute_async ()

    void
    entangle_script_execute_async (EntangleScript *script,
                                   EntangleCameraAutomata *automata,
                                   GCancellable *cancel,
                                   GAsyncReadyCallback callback,
                                   gpointer data);

#### Parameters

script | the script object. | [transfer none]
automata | the camera automata. | [transfer none]
cancel | cancellation handler. | [transfer none][allow-none]
callback | a GAsyncReadyCallback to call when the script has finished. | [scope async]
data | the data to pass to the callback function. | [closure]

### entangle_script_execute_finish ()

    gboolean
    entangle_script_execute_finish (EntangleScript *script,
                                    GAsyncResult *result,
                                    GError **error);

#### Parameters

script | the script object. | [transfer none]
result | a GAsyncResult |
error | a GError. | [allow-none]

#### Returns

TRUE on success, false otherwise

## Types and Values

### ENTANGLE_TYPE_SCRIPT

    #define ENTANGLE_TYPE_SCRIPT (entangle_script_get_type())

### struct EntangleScriptClass

    struct EntangleScriptClass {
        GtkWidget *(*get_config_widget)(EntangleScript *script);
        void (*execute_async)(EntangleScript *script,
                              EntangleCameraAutomata *automata,
                              GCancellable *cancel,
                              GAsyncReadyCallback callback,
                              gpointer data);
        gboolean (*execute_finish)(EntangleScript *script,
                                   GAsyncResult *result,
                                   GError **error);
    };

### EntangleScript

    typedef struct _EntangleScript EntangleScript;

## Property Details

### The `“title”` property

      “title”                    char *

Script title.

Owner: EntangleScript

Flags: Read / Write

Default value: "Untitled script"